#ifndef ANSBYTETRACKEIGEN_H
#define ANSBYTETRACKEIGEN_H
#include "ANSMOT.h"
#include "EigenBYTETracker.h"
namespace ANSCENTER {
    class ANSMOT_API ANSByteTrackEigen :public ANSMOT
    {
    private:
        ByteTrackEigen::BYTETracker tracker;
    public:
        ~ANSByteTrackEigen();
        ANSByteTrackEigen();
        [[nodiscard]] bool UpdateParameters(const std::string& trackerParameters) override;
        [[nodiscard]] std::string Update(int modelId, const std::string& detectionData) override;
        [[nodiscard]] std::vector<TrackerObject> UpdateTracker(int modelId, const std::vector<TrackerObject>& detectionObjects) override;
        [[nodiscard]] bool Destroy() override;
    };
}
#endif // ANSMOT
